ServerEvents.recipes(event => {
    event.shaped(
        Item.of('thermal:sawdust', 4),
        [
            'AAA',
            'ABA',
            'AAA'
        ],
        {
            A: 'farmersdelight:straw',
            B: 'dmnr:mutandis'
        }
    )
    event.remove({ output: 'thermal:machine_frame' })
    event.shaped(
        Item.of('thermal:machine_frame'),
        [
            'ABA',
            'CDC',
            'EBE'
        ],
        {
            A: 'immersiveengineering:sheetmetal_aluminum',
            B: 'immersiveengineering:insulating_glass',
            C: 'thermal:cured_rubber',
            D: 'thermal:energy_cell_frame',
            E: 'immersiveengineering:sheetmetal_iron'
        }
    )
    event.remove({ output: 'thermal:beekeeper_fabric' })
    event.shaped(
        Item.of('thermal:beekeeper_fabric'),
        [
            ' A ',
            'ABA',
            ' A '
        ],
        {
            A: '#forge:string',
            B: 'minecraft:white_wool'
        }
    )
    event.shaped(
        Item.of('thermal:beekeeper_fabric', 3),
        [
            ' A ',
            'ABA',
            ' A '
        ],
        {
            A: '#forge:string',
            B: 'minecraft:honeycomb'
        }
    )
    event.remove({ output: 'thermal:fluid_cell_frame' })
    event.shaped(
        Item.of('thermal:fluid_cell_frame'),
        [
            'ABA',
            'BCB',
            'ABA'
        ],
        {
            A: 'thermal:signalum_ingot',
            B: '#c:glass_blocks',
            C: '#forge:gears/bronze'
        }
    )
    event.remove({ output: 'thermalendergy:endergy_upgrade_2' })
    event.shaped(
        Item.of('thermalendergy:endergy_upgrade_2'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: 'thermalendergy:melodium_ingot',
            B: 'thermal_extra:abyssal_glass',
            C: 'thermalendergy:prismalium_gear',
            D: [
                'thermalendergy:endergy_upgrade_1',
                'thermal_extra:abyssal_upgrade_augment'
            ]
        }
    )
    event.remove({ output: 'thermalendergy:endergy_upgrade_1' })
    event.shaped(
        Item.of('thermalendergy:endergy_upgrade_1'),
        [
            'ABA',
            'CDC',
            'ABA'
        ],
        {
            A: 'thermalendergy:prismalium_ingot',
            B: 'minecraft:ender_eye',
            C: 'thermal:enderium_gear',
            D: 'thermal_extra:upgrade_augment'
        }
    )
    event.remove({ output: 'thermal_extra:component_assembly' })
    event.shaped(
        Item.of('thermal_extra:component_assembly'),
        [
            'ABA',
            'CDC',
            'EFE'
        ],
        {
            A: 'thermal_extra:paraffin_wax',
            B: 'thermal_extra:polyolefin_plate',
            C: '#thermal:glass/hardened',
            D: 'thermal:machine_frame',
            E: '#forge:gears/enderium',
            F: 'thermal:rf_coil'
        }
    )
})